<template>
  <form class="container" v-on:submit.prevent="submit()">
    <div class="col-12">
      <div class="row">
        <div class="col-6">
          <div class="form-group">
            <label>Nom
              <span>*</span>
            </label>
            <input class="form-control" type="text" name="name" v-model="company.name" required>
          </div>
        </div>
        <div class="col-6">
          <div class="form-group">
            <label>Adresse
              <span>*</span>
            </label>
            <input class="form-control" type="text" name="adress" v-model="company.adress" required>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-6">
          <div class="form-group">
            <label>Code postal
              <span>*</span>
            </label>
            <input class="form-control" type="text" name="zip code" v-model="company.zip" required>
          </div>
        </div>
        <div class="col-6">
          <div class="form-group">
            <label>Pays
              <span>*</span>
            </label>
            <input class="form-control" type="text" name="contry" v-model="company.county" required>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-6">
          <div class="form-group">
            <label>Bâtiment</label>
            <input class="form-control" type="text" name="building" v-model="company.building">
          </div>
        </div>
        <div class="col-6">
          <div class="form-group">
            <label>Téléphone</label>
            <input class="form-control" type="text" name="phone" v-model="company.phone">
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-6">
          <div class="form-group">
            <label>Activité</label>
            <input class="form-control" type="text" name="activity" v-model="company.activity">
          </div>
        </div>
        <div class="col-6">
          <div class="form-group">
            <label>SIRET</label>
            <input class="form-control" type="text" name="siret" v-model="company.siret">
          </div>
        </div>
      </div>
      <div class="col-12">
        <div class="form-group">
          <label>URL</label>
          <input class="form-control" type="text" name="url" v-model="company.url">
        </div>
      </div>
      <div class="col-12">
        <div class="form-group">
          <button class="btn btn-primary" type="submit"> Sauvegarder </button>
          <button class="btn btn-secondary" type="button" v-on:click="retour()"> Retour </button>
        </div>
      </div>
    </div>
  </form>
</template>

<script>
export default {
  props: ['company'],
  methods: {
    submit: function () {
      this.$emit("submit");
    },
    retour: function () {
      this.$emit("back");
    }
  },
}
</script>

<style scoped>
span {
  color: red;
}
</style>
